It includes sections like:
- Header + header images
- Featured categories
- Trainings and exams showcased on the landing page
- Partner companies
- Banner + banner image
- Footer data
- Quick links and social links
Common Headers Most endpoints require authentication.
For endpoints that upload images, use:
Get Landing Page
GET /api/landing-page Retrieves the landing page with all related content. Included Relationships The response includes:linksfeaturedCategories+feat_category_imagepartnerCompanies+companyLogotrainings(with instructor + images)exams(with instructor + images)headerImage,backgroundImage,bannerImage
pivot_position.
Response
- 200
✅ 200 OK
Update Landing Page (Create or Update)
POST /api/landing-page Creates or updates the landing page for the authenticated user’s company. Authentication & Company Rules- Returns 401 if unauthenticated
- Returns 403 if user does not have
company_id
Body (Validation Rules)
Section Toggles (Booleans)
Company Content
Header Fields
Banner Fields
Footer Fields
Language
Image Uploads (multipart/form-data)
Response
- 200
- 401
- 403
- 422
- 500
✅ 200 OK